/* File:        $Id: HarvesterToolsTesterSuite.java 1700 2011-01-05 07:52:38Z mikis $
 * Revision:    $Revision: 1700 $
 * Author:      $Author: mikis $
 * Date:        $Date: 2011-01-05 08:52:38 +0100 (Wed, 05 Jan 2011) $
 *
 * The Netarchive Suite - Software to harvest and preserve websites
 * Copyright 2004-2010 Det Kongelige Bibliotek and Statsbiblioteket, Denmark
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */

package dk.netarkivet.harvester.tools;

import junit.framework.Test;
import junit.framework.TestSuite;
import junit.textui.TestRunner;

public class HarvesterToolsTesterSuite {
    public static Test suite() {
        TestSuite suite;
        suite = new TestSuite(HarvesterToolsTesterSuite.class.getName());

        HarvesterToolsTesterSuite.addToSuite(suite);

        return suite;
    }

    public static void addToSuite(TestSuite suite) {
        suite.addTestSuite(CreateCDXMetadataFileTester.class);
        //suite.addTestSuite(CreateLogsMetadataFileTester.class); Fails
    }

    public static void main(String args[]) {
        String args2[] = {"-noloading", HarvesterToolsTesterSuite.class.getName()};

        TestRunner.main(args2);
        //junit.swingui.TestRunner.main(args2);
    }


}
